Class Index | File Index

## Classes

- _global_
- Array
- String
- Tee
- Tee.AfricaMap
- Tee.Animation
- Tee.Annotation
- Tee.Area
- Tee.AsiaMap
- Tee.AustraliaMap
- Tee.Bar
- Tee.Bubble
- Tee.Candle
- Tee.Chart
- Tee.Chart.Axes
- Tee.Chart.Axis
- Tee.Chart.Axis-Grid
- Tee.Chart.Axis-Labels
- Tee.Chart.Axis-Ticks
- Tee.Chart.Axis-Title
- Tee.Chart.Legend
- Tee.Chart.Legend-Symbol
- Tee.Chart.Panel
- Tee.Chart.Scroll
- Tee.Chart.SeriesList
- Tee.Chart.Title
- Tee.Chart.Tools
- Tee.Chart.Wall
- Tee.Chart.Zoom
- Tee.ChartImage
- Tee.CircularGauge
- Tee.ColorGrid
- Tee.CursorTool
- Tee.CustomBar
- Tee.CustomSeries
- Tee.CustomSeries-Pointer
- Tee.Data
- Tee.Data.Dimension
- Tee.Data.Metric
- Tee.Donut
- Tee.DragTool
- Tee.Europe27Map
- Tee.EuropeMap
- Tee.FadeAnimation
- Tee.Font
- Tee.Format
- Tee.Gantt
- Tee.Gradient
- Tee.HorizArea
- Tee.HorizBar
- Tee.Line
- Tee.Map
- Tee.Margins
- Tee.MarksAnimation
- Tee.Palette
- Tee.PaletteSeries
- Tee.Pie
- Tee.Point
- Tee.PointXY
- Tee.Polar
- Tee.Rectangle
- Tee.Series
- Tee.Series.Marks
- Tee.SeriesAnimation
- Tee.Shadow
- Tee.SouthAmericaMap
- Tee.Stroke
- Tee.Surface
- Tee.SVGMap
- Tee.Three
- Tee.Tool
- Tee.ToolTip
- Tee.USAMap
- Tee.Volume
- Tee.WorldMap

# Class Tee.Chart

The main Chart class
Defined in: <..\..\src\teechart.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Tee.Chart(canvas, data, type)

Field Summary
Field Attributes | Field Name and Description
--- | ---
| aspect Contains properties related to 3D and graphics parameters.
| axes Contains a list of axis used to draw series.
| bounds The rectangle where this chart will be painted inside canvas.
| canvas The canvas where this chart will paint to.
| footer Properties to draw text at bottom side of chart.
| legend Contains properties to control the legend, a panel showing the list of series or values.
| palette The list of colors to use as default colors for series and points.
| panel Contains properties used to fill the chart background.
| scroll Properties to control mouse/touch dragging to scroll or pan contents inside chart axes.
| series Contains a list of Tee.Series objects that belong to this chart.
| title Properties to draw text at top side of chart.
| tools Contains a list of Tee.Tool objects that belong to this chart.
| walls Contains properties used to draw chart walls around axes.
| zoom Properties to control mouse/touch dragging to zoom chart axes scales.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| addSeries(series)
| applyPalette(paletteName)
| applyTheme(theme)
| domousedown(event)
| domousemove(event)
| domouseup(event)
| draw(ctx) Main Chart draw method.
| drawReflection()
| getSeries(index)
<inner> | newSeries(v)
| removeSeries(series)
| toImage(image, format, quality) Paints chart to image parameter, as PNG or JPEG picture made from canvas.

Class Detail
Tee.Chart(canvas, data, type)

    var Chart1 = new Tee.Chart("canvas");
    Chart1.addSeries(new Tee.Bar([1,2,3,4]));
    Chart1.draw();

Parameters:
{String|HTMLCanvasElement} canvas Optional
  Optional canvas id or element.
data
type

Field Detail
{Tee.Chart.Aspect} aspect
Contains properties related to 3D and graphics parameters.

{Tee.Chart.Axes} axes
Contains a list of axis used to draw series.

{Tee.Rectangle} bounds
The rectangle where this chart will be painted inside canvas.

{HTMLCanvasElement} canvas
The canvas where this chart will paint to.

{Tee.Chart.Title} footer
Properties to draw text at bottom side of chart.

{Tee.Chart.Legend} legend
Contains properties to control the legend, a panel showing the list of series or values.

{Tee.Palette} palette
The list of colors to use as default colors for series and points.

{Tee.Chart.Panel} panel
Contains properties used to fill the chart background.

{Tee.Chart.Scroll} scroll
Properties to control mouse/touch dragging to scroll or pan contents inside chart axes.

{Tee.Chart.SeriesList} series
Contains a list of Tee.Series objects that belong to this chart.

{Tee.Chart.Title} title
Properties to draw text at top side of chart.

{Tee.Chart.Tools} tools
Contains a list of Tee.Tool objects that belong to this chart.

{Tee.Chart.Walls} walls
Contains properties used to draw chart walls around axes.

{Tee.Chart.Zoom} zoom
Properties to control mouse/touch dragging to zoom chart axes scales.
Method Detail
{Tee.Series} addSeries(series)

Parameters:
{Tee.Series} series
  The series object to add to chart.

Returns:
  {Tee.Series} Returns the series parameter

applyPalette(paletteName)
Defined in: <..\..\src\teechart-extras.js>.

Parameters:
paletteName

applyTheme(theme)
Defined in: <..\..\src\teechart-extras.js>.

Parameters:
theme

domousedown(event)

Parameters:
event

domousemove(event)

Parameters:
event

domouseup(event)

Parameters:
event

draw(ctx)
Main Chart draw method. Repaints all chart contents.

Parameters:
ctx

drawReflection()
Defined in: <..\..\src\teechart-extras.js>.

{Tee.Series} getSeries(index)

Parameters:
{Integer} index
  The index of the chart series list to obtain.

Returns:
  {Tee.Series} Returns the index'th series in chart series list

<inner> newSeries(v)

Parameters:
v

removeSeries(series)

Parameters:
series

toImage(image, format, quality)
Paints chart to image parameter, as PNG or JPEG picture made from canvas.

Parameters:
{String} image
  The id of an Image HTML component.
{String} format
  Can be "image/png" or "image/jpeg"
{Number} quality
  From 0% to 100%, jpeg compression quality.

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Oct 23 2013 16:27:36 GMT+0200 (CEST)